epp_TransferOpType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.epp_TransferOpType class

### org.openrtk.idl.epp02

# Class epp_TransferOpType

- `java.lang.Object`
- - `org.openrtk.idl.epp02.epp_TransferOpType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_TransferOpType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/epp_TransferOpType.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp.idl Thursday, July 26, 2001 6:26:03 PM EDT

  ## Field Summary
  `static epp_TransferOpType` | `APPROVE`
  `static epp_TransferOpType` | `CANCEL`
  `static epp_TransferOpType` | `QUERY`
  `static epp_TransferOpType` | `REJECT`
  `static epp_TransferOpType` | `REQUEST`
  `static int` | `_APPROVE`
  `static int` | `_CANCEL`
  `static int` | `_QUERY`
  `static int` | `_REJECT`
  `static int` | `_REQUEST`

  ## Constructor Summary
  `epp_TransferOpType(int value)`

  ## Method Summary
  `static epp_TransferOpType` | `from_int(int value)`
  `int` | `value()`

## Field Details

### APPROVE

    public static final epp_TransferOpType APPROVE

### CANCEL

    public static final epp_TransferOpType CANCEL

### QUERY

    public static final epp_TransferOpType QUERY

### REJECT

    public static final epp_TransferOpType REJECT

### REQUEST

    public static final epp_TransferOpType REQUEST

### _APPROVE

    public static final int _APPROVE

> Field Value:
>   0

### _CANCEL

    public static final int _CANCEL

> Field Value:
>   1

### _QUERY

    public static final int _QUERY

> Field Value:
>   2

### _REJECT

    public static final int _REJECT

> Field Value:
>   3

### _REQUEST

    public static final int _REQUEST

> Field Value:
>   4

## Constructor Details

### epp_TransferOpType

    protected epp_TransferOpType(int value)

## Method Details

### from_int

    public static epp_TransferOpType from_int(int value)

### value

    public int value()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS